Skip to main content
POST
/
api
/
orgs
/
{id}
/
kpis
/
{kpiId}
/
snapshots
Record KPI snapshot
curl --request POST \
  --url https://atollhq.com/api/orgs/{id}/kpis/{kpiId}/snapshots \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "value": 123,
  "source": "manual",
  "attribution_note": "<string>",
  "attributed_to_initiative_id": "<string>",
  "attributed_to_issue_id": "<string>"
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://bytestream.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

id identifier

kpiId
string
required

kpiId identifier

Body

application/json
value
number
required
source
enum<string>
Available options:
manual,
webhook,
api_poll,
formula,
agent
attribution_note
string
attributed_to_initiative_id
string
attributed_to_issue_id
string

Response

Successful response

The response is of type object.